# Asterisk Project : Asterisk 13 ManagerEvent_Pickup

Created by wikibot on Aug 08, 2014

# Pickup

### Synopsis

Raised when a call pickup occurs.

### Description

### Syntax

    Event: Pickup
    Channel: <value>
    ChannelState: <value>
    ChannelStateDesc: <value>
    CallerIDNum: <value>
    CallerIDName: <value>
    ConnectedLineNum: <value>
    ConnectedLineName: <value>
    AccountCode: <value>
    Context: <value>
    Exten: <value>
    Priority: <value>
    Uniqueid: <value>
    TargetChannel: <value>
    TargetChannelState: <value>
    TargetChannelStateDesc: <value>
    TargetCallerIDNum: <value>
    TargetCallerIDName: <value>
    TargetConnectedLineNum: <value>
    TargetConnectedLineName: <value>
    TargetAccountCode: <value>
    TargetContext: <value>
    TargetExten: <value>
    TargetPriority: <value>
    TargetUniqueid: <value>

##### Arguments

- `Channel`
- `ChannelState` - A numeric code for the channel's current state, related to ChannelStateDesc
- `ChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `CallerIDNum`
- `CallerIDName`
- `ConnectedLineNum`
- `ConnectedLineName`
- `AccountCode`
- `Context`
- `Exten`
- `Priority`
- `Uniqueid`
- `TargetChannel`
- `TargetChannelState` - A numeric code for the channel's current state, related to TargetChannelStateDesc
- `TargetChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `TargetCallerIDNum`
- `TargetCallerIDName`
- `TargetConnectedLineNum`
- `TargetConnectedLineName`
- `TargetAccountCode`
- `TargetContext`
- `TargetExten`
- `TargetPriority`
- `TargetUniqueid`

### Class

CALL

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538